Get Obligation Corporate Action Payments
curl --request GET \
--url https://api.klear.kalshi.com/klear-api/v1/margin/obligations/{obligation_id}/corporate_action_payments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.klear.kalshi.com/klear-api/v1/margin/obligations/{obligation_id}/corporate_action_payments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klear.kalshi.com/klear-api/v1/margin/obligations/{obligation_id}/corporate_action_payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.klear.kalshi.com/klear-api/v1/margin/obligations/{obligation_id}/corporate_action_payments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.klear.kalshi.com/klear-api/v1/margin/obligations/{obligation_id}/corporate_action_payments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.klear.kalshi.com/klear-api/v1/margin/obligations/{obligation_id}/corporate_action_payments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.klear.kalshi.com/klear-api/v1/margin/obligations/{obligation_id}/corporate_action_payments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"corporate_action_payments": [
{
"id": "<string>",
"type": "<string>",
"ca_id": "<string>",
"market_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"market_ticker": "<string>",
"asset_class": "Crypto",
"subtrader_id": "<string>",
"position_quantity_fp": "<string>",
"post_position_quantity_fp": "<string>",
"payment_amount_centicents": 123,
"payment_time": "2023-11-07T05:31:56Z",
"settlement_execution_time": "2023-11-07T05:31:56Z",
"created_ts": "2023-11-07T05:31:56Z",
"pre_split_price_centicents": 123,
"post_split_price_centicents": 123,
"exchange_ts": "2023-11-07T05:31:56Z"
}
],
"cursor": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>",
"service": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>",
"service": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>",
"service": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>",
"service": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>",
"service": "<string>"
}clearing-members
Get Obligation Corporate Action Payments
Pages the cash and split corporate-action payments settled by one obligation owned by the authenticated clearing member. The inline corporate_action_payments array is capped at 1000 rows; corporate_action_payments_truncated indicates when to use this endpoint for the complete set. These rows explain amounts already included in settlement PnL and must not be added to the obligation total again.
GET
/
margin
/
obligations
/
{obligation_id}
/
corporate_action_payments
Get Obligation Corporate Action Payments
curl --request GET \
--url https://api.klear.kalshi.com/klear-api/v1/margin/obligations/{obligation_id}/corporate_action_payments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.klear.kalshi.com/klear-api/v1/margin/obligations/{obligation_id}/corporate_action_payments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klear.kalshi.com/klear-api/v1/margin/obligations/{obligation_id}/corporate_action_payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.klear.kalshi.com/klear-api/v1/margin/obligations/{obligation_id}/corporate_action_payments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.klear.kalshi.com/klear-api/v1/margin/obligations/{obligation_id}/corporate_action_payments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.klear.kalshi.com/klear-api/v1/margin/obligations/{obligation_id}/corporate_action_payments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.klear.kalshi.com/klear-api/v1/margin/obligations/{obligation_id}/corporate_action_payments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"corporate_action_payments": [
{
"id": "<string>",
"type": "<string>",
"ca_id": "<string>",
"market_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"market_ticker": "<string>",
"asset_class": "Crypto",
"subtrader_id": "<string>",
"position_quantity_fp": "<string>",
"post_position_quantity_fp": "<string>",
"payment_amount_centicents": 123,
"payment_time": "2023-11-07T05:31:56Z",
"settlement_execution_time": "2023-11-07T05:31:56Z",
"created_ts": "2023-11-07T05:31:56Z",
"pre_split_price_centicents": 123,
"post_split_price_centicents": 123,
"exchange_ts": "2023-11-07T05:31:56Z"
}
],
"cursor": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>",
"service": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>",
"service": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>",
"service": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>",
"service": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>",
"service": "<string>"
}Authorizations
Pass Authorization: Bearer <admin_user_id>:<access_token> on each request.
Path Parameters
Query Parameters
Number of rows per page.
Required range:
x <= 1000Opaque cursor from a previous response to fetch the next page.